%define upstream_name    Mojolicious-Plugin-Mail
%define upstream_version 0.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mojolicious Plugin for send mail
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::EncWords)
BuildRequires: perl(MIME::Lite) >= 3.27.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Mojolicious) >= 1.170.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
the Mojolicous::Plugin::Mail manpage is a plugin for Mojolicious apps to
send mail using the MIME::Lite manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Feb 21 2012 kharec <kharec> 0.900.0-1.mga2
+ Revision: 211672
- update to 0.9

* Sat Nov 19 2011 kharec <kharec> 0.830.0-1.mga2
+ Revision: 169276
- imported package perl-Mojolicious-Plugin-Mail


* Sat Nov 19 2011 cpan2dist 0.83-1mga
- initial mageia release, generated with cpan2dist
